#
#       Makefile for indxlib
#
#       Copyright (C) 2000-2022 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= indxlib
LIBFSRCS	= indxcf.f indxcl.f indxmf.f indxml.f indxnf.f indxnl.f \
		  indxif.f indxil.f indxrf.f indxrl.f nindxc.f nindxm.f \
		  nindxn.f nindxi.f nindxr.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= indxcf.o indxcl.o indxmf.o indxml.o indxnf.o indxnl.o \
		  indxif.o indxil.o indxrf.o indxrl.o nindxc.o nindxm.o \
		  nindxn.o nindxi.o nindxr.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
